> For the complete documentation index, see [llms.txt](https://docs.valtimo.nl/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.valtimo.nl/v12/running-valtimo/application-configuration/multi-instance-ready.md).

# Temporary file-storage

It can be desirable to run multiple instances of the same Valtimo implementation. In that case, some additional steps are required to make your Valtimo implementation multi instance ready.

## Shared storage

In some cases, Valtimo saves a file to the local storage. All instances of Valtimo must be configured to use the same storage. Please note that this directory should already exist and will not be created by Valtimo.

## Shared directory for temporary files

Besides having shared storage, all Valtimo instances must also be configured to use the same directory for temporary files. This can be set with the property: `valtimo.resource.temp.directory` or with environment variable: `VALTIMO_RESOURCE_TEMP_DIRECTORY`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.valtimo.nl/v12/running-valtimo/application-configuration/multi-instance-ready.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
